Struts: Form Does Not Extend Validation Class

From OWASP
Jump to: navigation, search


This page was marked to be reviewed for deletion.


#REDIRECT Improper Data Validation



Last revision (mm/dd/yy): 04/7/2009


Description

All Struts forms should extend a Validator class.

In order to use the Struts Validator, a form must extend one of the following:

	ValidatorForm
	ValidatorActionForm
	DynaValidatorActionForm
	DynaValidatorForm.

You must extend one of these classes because the Struts Validator ties in to your application by implementing the validate() method in these classes.

Forms derived from the following classes cannot use the Struts Validator:

	ActionForm
	DynaActionForm

Bypassing the validation framework for a form exposes the application to numerous types of attacks. Unchecked input is the root cause of vulnerabilities like cross-site scripting, process control, and SQL injection. Although J2EE applications are not generally susceptible to memory corruption attacks, if a J2EE application interfaces with native code that does not perform array bounds checking, an attacker may be able to use an input validation mistake in the J2EE application to launch a buffer overflow attack.


Risk Factors

TBD

Examples

TBD

Related Attacks


Related Vulnerabilities

Related Controls


Related Technical Impacts


References

TBD